local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),
		
        Asset( "ANIM", "anim/clementine.zip" ),
		Asset( "ANIM", "anim/clem_hat.zip" ),		
}

local prefabs = 
{
    "clem_hat",
	"walkie_talkie",
}

local start_inv = 
{
    "clem_hat",
	"walkie_talkie",
}

local fn = function(inst)
inst.components.health:SetMaxHealth(125)
	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(150)
	
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.2)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.2)

	inst.components.combat.damagemultiplier = 0.85		
	
	inst.soundsname = "winnie"
	inst.entity:AddMiniMapEntity()
	inst.MiniMapEntity:SetIcon( "clementine.tex" ) 
	inst.components.talker.colour = Vector3(0.86, 0.65, 0.9, 0)

	inst.components.sanity.night_drain_mult = 1.1
	inst.components.sanity.neg_aura_mult = 2
	
		inst:DoPeriodicTask(0.01, function() 
if inst:HasTag("NightmaresTab") then 
STRINGS.DUSKSTALKER_LINES.clementine = "You will never leave this place!"
STRINGS.DUSKSTALKER_LINES_TWO.clementine = "Where are your parents?" 
STRINGS.DUSKSTALKER_LINES_THREE.clementine = "Poor child, there is no one to help you, buahaha!" 
STRINGS.DUSKSTALKER_LINES_FOUR.clementine = "Do you like zombies?" 
STRINGS.DUSKSTALKER_LINES_FIVE.clementine = "You are alone!" 
end 
end) 
	
end

STRINGS.CHARACTER_TITLES.clementine = "Clementine"
STRINGS.CHARACTER_NAMES.clementine = "Clementine."
STRINGS.CHARACTER_DESCRIPTIONS.clementine = "*She's fast, but not as strong as others.\n*Has a cap and broken walkie-talkie."
STRINGS.CHARACTER_QUOTES.clementine = "\"Can I see my parents?\""

STRINGS.CHARACTERS.CLEMENTINE = require "speech_clementine"
return MakePlayerCharacter("clementine", prefabs, assets, fn, start_inv)
